Comment 4 for bug 1652317

backwards compatibility isn't guaranteed pre-1.0, this was intentionally changed as part of a refactoring.